<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace loyalsoft;

/**
 * Description of Info_PrivateState
 *
 * @author c'y'zhao
 */
class Info_PrivateState extends Object_ext {

    /**
     * 章节宝箱的购买记录
     * @var type
     */
    #[ArrayType]
    public $gateGiftReceived = array();

    /**
     * 每日商店的购买记录
     * @var type
     */
    #[ArrayType]
    public $dailyShopReceived = array();
    
    /**
     * 每日商店广告次数
     * @var type
     */
    public $dailyShop_GuangGaoNum = 0;

    public $dailyShop_GuangGaoTs = 0;
    
    /**
     * 每日随机到的信息
     * @var type
     */
    #[ArrayType]
    public $dailyShopRandItems = array();

    /**
     * 金币商店购买记录
     */
    #[ArrayType]
    public $goldShopReceived = array();

    /**
     * 钻石商城的购买记录
     */
    #[ArrayType]
    public $cashShopReceived = array();
    public $supplyBichuDic = null;

//    public $supplyShopNum_JunyongBox = 0;
//
//    public $supplyShopNum_BujiBox = 0;
//    /**
//     * 军用物资箱 X次必出后重置
//     * @var type
//     */
//    public $supplyShop_JunyongBoxBichuNum = 0;
//
//    /**
//     * 补给箱 X次必出后重置
//     * @var type
//     */
//    public $supplyShop_BujiBoxBichuNum = 0;
//    /**
//     * 军用物资箱是否已经有必出了
//     * @var type
//     */
//    public $supplyShop_JunyongBoxBichu = 0;
//
//    /**
//     * 补给箱 是否已经有必出了
//     * @var type
//     */
//    public $supplyShop_BujiBoxBichu = 0;

    /**
     * 每天买的数量,每日重置(S级军备和补给箱)
     * @var type
     */
    public $junbeiShopNumRecord = null;

    /**
     * 总的数量,每日不重置,必出后重置
     * @var type
     */
    public $junbeiShop_AllNumRecord = null;
    public $junbeiShop_XinYuan = null;
    
    /**
     * 登录天数
     * @var array[]
     */
    #[ArrayType]
    public $LoginDays = array();

    /**
     * @var array[] 7日签到领取数据
     */
    #[ArrayType]
    public $day7_drawed = array();
    
    /**
     * 7日 累计
     * @var type
     */
    public $day7_accumulate = 0;
    
    /**
     * 7日 累计奖励领取记录
     * @var type
     */
    #[ArrayType]
    public $day7_accumulateDrawed = array();

    /**
     * 普通宝石免费领取时间记录
     * @var long
     */
    public $lastFreeGetTs_ShopBoxCommon = 0;

    /**
     * 璀璨宝石免费领取时间记录
     * @var type
     */
    public $lastFreeGetTs_ShopBoxBright = 0;

    /**
     * 普通宝石购买次数记录
     * @var type
     */
    public $buyNum_ShopBoxCommon = 0;

    /**
     * 璀璨宝石购买次数记录
     * @var type
     */
    public $buyNum_ShopBoxBright = 0;
    
    /**
     * 金币商城第一个冷却时间记录
     * @var type
     */
    public $goldShop_CoolDownTs_1 = 0;

    public $goldShop_GuangGaoNum = 0;

    /**
     * 金币商城第二个冷却时间记录
     * @var type
     */
    public $goldShop_CoolDownTs_2 = 0;
    /**
     * 金币商城第三个冷却时间记录
     * @var type
     */
    public $goldShop_CoolDownTs_3 = 0;
    
    /**
     * 月卡
     * @var type
     */
    //public $monthCardShop_Received = array();
    
    /**
     * 资源月卡购买时间记录 
     * @var int
     */
    public $monthCardShop_ts = 0;
    
    /**
     * 特权月卡购买时间记录
     * @var int
     */
    public $honourCardShop_ts = 0;

    /**
     * 关看广告得到体力次数
     * @var type
     */
    public $guanggaoGetTiliNum = 0;

    /**
     * 每日购买体力的次数
     * @var type
     */
    public $buyTiliNum = 0;
    
    /**
     *  广告得体力倒计时
     * @var type
     */
    public $guanggaoGetTili_ts = 0;

    /*
     * 通关荣誉榜奖励领取记录
     */
    #[ArrayType]
    public $rankReward_drawed_MainGate = array();

    /**
     * 战力荣誉榜奖励领取记录
     * @var type
     */
    #[ArrayType]
    public $rankReward_drawed_fightPower = array();
    
    /**
     * @var array[] 领取激活码记录
     */
    #[ArrayType]
    public $usedTokens = array();
    
    public function initialize() {
        $this->junbeiShopNumRecord = new \stdClass();
        $this->junbeiShop_AllNumRecord = new \stdClass();
        $this->junbeiShop_XinYuan = new \stdClass();
    }

    public function __construct($arg = null) {
        if ($arg == null) {
            if ($this->junbeiShopNumRecord == null) {
                $this->junbeiShopNumRecord = new \stdClass();
                $this->junbeiShop_AllNumRecord = new \stdClass();
                $this->junbeiShop_XinYuan = new \stdClass();
                $this->supplyBichuDic = new \stdClass();
            }
        } else {
            parent::__construct($arg);
        }
    }
}
